import { type Controller, IEventAggregator } from 'aurelia';
import type { IAwareComponentService } from './i-aware-component-service';
import type { IAwareEvent } from './i-aware-event';
import type { ICustomElementAware } from './i-custom-element-aware';
export declare class AwareComponentService implements IAwareComponentService {
    private readonly _ev;
    private static readonly _RE_PROPERTY_CHECK;
    constructor(_ev: IEventAggregator);
    /**
     * @inheritdoc
     */
    subscribe(customElement: ICustomElementAware & {
        $controller?: Controller;
    }): void;
    /**
     * @inheritdoc
     */
    publish(customElement: ICustomElementAware, options: IAwareEvent): void;
    /**
     * @inheritdoc
     */
    unsubscribe(customElement: ICustomElementAware): void;
}
