import { type Controller } from 'aurelia';
import type { IAwareEvent } from './i-aware-event';
import type { ICustomElementAware } from './i-custom-element-aware';
export declare const DIAwareComponentService: import("@aurelia/kernel").InterfaceSymbol<IAwareComponentService>;
export interface IAwareComponentService {
    /** Subscribe */
    subscribe(customElement: ICustomElementAware & {
        $controller?: Controller;
    }): void;
    /** Publish */
    publish(customElement: ICustomElementAware, options: IAwareEvent): void;
    /** Unsuscribe */
    unsubscribe(customElement: ICustomElementAware): void;
}
