import type { IContainer, IResolver } from '@aurelia/kernel';
export type DebugContainerStats = {
    [K in keyof typeof ResolverStrategyMap]: Record<string, {
        resolving: boolean;
        current: unknown | null;
    }>[];
};
/**
 * Get the container informations
 */
export declare function debugContainer(container: IContainer & {
    h?: Map<any, IResolver & {
        resolving?: boolean;
        _state?: unknown;
        C?: number;
    }>;
    u?: Map<any, any>;
}): DebugContainerStats;
